%define name	opengroupware-publisher
%define version 0.9.15
%define cvs	20040523
%define release %{cvs}.1mdk

%ifarch %ix86 amd64 x86_64
  %define dirarch ix86
%endif
%ifarch %ppc
  %define dirarch ppc
%endif
%ifarch sparc
  %define dirarch sparc
%endif
%ifarch alpha
  %define dirarch alpha
%endif

Summary:     OpenGroupware.org Publisher
Name:        %{name}
Version:     %{version}
Release:     %{release}
License:     GPL
URL:         http://www.opengroupware.org
Group:       Networking/Other
Prefix:      %{_libdir}/opengroupware.org
BuildRoot:   %{_tmppath}/%{name}-buildroot
Requires:    opengroupware-gstep-make, opengroupware-libfoundation, opengroupware-sope, opengroupware-env, opengroupware-logic, opengroupware-webui-project
Source:      opengroupware.org-publisher-%{cvs}.tar.bz2
BuildRequires: opengroupware-gstep-make opengroupware-gstep-make-devel opengroupware-gstep-objc opengroupware-gstep-objc-devel opengroupware-libfoundation opengroupware-libfoundation-devel opengroupware-xml opengroupware-xml-devel opengroupware-core opengroupware-core-devel opengroupware-gstep-db opengroupware-gstep-db-devel opengroupware-js opengroupware-js-devel opengroupware-sope opengroupware-sope-devel  opengroupware-env opengroupware-logic opengroupware-logic-devel opengroupware-webui-forms opengroupware-webui-forms-devel

%description
This package contains the OpenGroupware.org Publisher. The Publisher is used to
manage HTML and XHTML documents in projects and to export whole websites
out of a project.

%prep

%setup -n opengroupware.org-publisher

%build

source %{prefix}/OpenGroupware.org.sh
make -s debug=yes strip=yes all

%install
rm -rf $RPM_BUILD_ROOT

source %{prefix}/OpenGroupware.org.sh
I=${RPM_BUILD_ROOT}%{prefix}
export FORCED_USER_ROOT=$I
B=$I/Library/OpenGroupware.org

make debug=yes strip=yes install GNUSTEP_INSTALLATION_DIR=$I BUNDLE_INSTALL_DIR=$B WOBUNDLE_INSTALL_DIR=$B

%pre
if test "x${RPM_INSTALL_PREFIX}" = "x"; then
  RPM_INSTALL_PREFIX="%{prefix}"
fi

if ! test -d ${RPM_INSTALL_PREFIX}; then
  echo "missing RPM install path: ${RPM_INSTALL_PREFIX} !"
  exit 1
fi

GSCFG="${RPM_INSTALL_PREFIX}/Makefiles/GNUstep.sh"
if ! test -f $GSCFG ; then
  echo "missing GNUstep environment: ${GSCFG} !"
  exit 2
fi
exit 0

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc TODO ChangeLog Version README COPYRIGHT
%{prefix}/Library/OpenGroupware.org/Publisher.lso
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skypubd
%{prefix}/Tools/%{dirarch}/linux-gnu/gnu-fd-nil/skypubexport

%changelog
* Mon May 24 2004 Spencer Anderson <sdander@oberon.ark.com> 0.9.15-20040523.1mdk
- 20040523
- make arch aware
- buildrequires

* Thu Feb 12 2004 Spencer Anderson <sdander@oberon.ark.com> 0.9.13-20040204.1mdk
- 20040204

* Fri Dec 5 2003 Spencer Anderson <sdander@oberon.ark.com> 0.9.10-20031201.1mdk
- new snapshot - bugfixes
- specfile cleaning

* Sun Oct 26 2003 Spencer Anderson <sdander@oberon.ark.com> 1.0-20031001.1mdk
- initial Mandrake build.
